import dynamix_sdk.base as _base


class CloudapiDisksCreateResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiDisksCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def create(
        self,
        *,
        account_id: int,
        name: str,
        size_gb: int,
        storage_policy_id: int,
        description: str | None = None,
        sep_id: int | None = None,
        sep_pool_name: str | None = None,
    ) -> CloudapiDisksCreateResultInt:
        ...
